Comfort Update Unzip error!

More
1 year 5 months ago #179759 by c8a1f35f9820


Hello,
I am updating via Comfort Update from version 3.15.1 to 3.15.7 and when the update is going to be applied, the message attached to the screenshot appears.

Any idea how to fix it?
Attachments:
The topic has been locked.
LimeSurvey Partners
More
1 year 5 months ago - 1 year 5 months ago #179858 by jelo
Replied by jelo on topic Comfort Update Unzip error!
I can reproduce that issue. The updater is buggy.
As a paying customer you should open a ticket via support.
What PHP version is used on your installation?

The update.zip 569 KB (583.079 bytes) might have a format, which is not compatible with default zip extraction.

SHA256: 8CF75AF27EBF619572DA2A30603CA896E6A129909413D304A48B8C78F73157BB

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
Last edit: 1 year 5 months ago by jelo.
The following user(s) said Thank You: DenisChenu
The topic has been locked.
More
1 year 5 months ago #179874 by jelo
Replied by jelo on topic Comfort Update Unzip error!
I have opened a bugticket with your infos too.
bugs.limesurvey.org/view.php?id=14475

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The following user(s) said Thank You: DenisChenu
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
1 year 5 months ago - 1 year 5 months ago #179886 by LouisGac
Replied by LouisGac on topic Comfort Update Unzip error!
So, I could reproduce the bug with PHP 5.2 and PHP 7.
LS 2.6lts does not support any of them.
With PHP 5.6, everything works like a charm.
Last edit: 1 year 5 months ago by LouisGac.
The topic has been locked.
More
1 year 5 months ago - 1 year 5 months ago #179888 by jelo
Replied by jelo on topic Comfort Update Unzip error!
You closed the bugticket.
Everything works like a charm?

We have the issue with
LS 3.15.1
LS 2.06lts buildnumber 160524



For LS 2.06lts buildnumber 160524 I have the issue under
PHP 7.1 and PHP 5.6

The root cause is still unclear.

BTW: If tickets get closed with a reference to not supported PHP versions (which is here not the case), it would be wise to clearly state what PHP is supported (instead of PHP X.Y and higher).

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
Attachments:
Last edit: 1 year 5 months ago by jelo.
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
1 year 5 months ago #179889 by LouisGac
Replied by LouisGac on topic Comfort Update Unzip error!
jelo: if you can reproduce the issue with any version of LS on PHP 5.6 or PHP 7.2, you can re-open the bug with the correct PHP version.
The topic has been locked.
More
1 year 5 months ago #179890 by jelo
Replied by jelo on topic Comfort Update Unzip error!
The PHP version I stated when opening the bug was PHP 5.6.
So what did I do wrong?

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
More
1 year 5 months ago #179893 by jelo
Replied by jelo on topic Comfort Update Unzip error!
PHP 7.2. is causing too much issues with LimeSurvey.
www.limesurvey.org/forum/development/117...2-and-limesurvey-3-x

So I only test LS with PHP 7.1.X and test with PHP 5.6.X. too. Older testversions are running under PHP 5.6.X.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
1 year 5 months ago #179895 by LouisGac
Replied by LouisGac on topic Comfort Update Unzip error!
I use PHP 7.2 on my computer, like most of the dev here, like denis, and we face no problems.

I spend 3 hours this morning to try to reproduce the comfortUpdate bug you're pointing out, and it clearlry happens only with wrong PHP version for 2.6

I can give a new try for 3.15
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
1 year 5 months ago #179900 by LouisGac
Replied by LouisGac on topic Comfort Update Unzip error!
ok, I changed the way the download process is done from the server itself, it should work on most exotic config now.
The topic has been locked.
More
1 year 5 months ago #179902 by jelo
Replied by jelo on topic Comfort Update Unzip error!
Thanks for fixing the bug of Comfortupdate. The threadstarter (which was not me) might be a happy comfort update customer again.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
1 year 5 months ago #179903 by LouisGac
Replied by LouisGac on topic Comfort Update Unzip error!
thank you for insisting ;)
The topic has been locked.

Start now!

Just create your account and start using Limesurvey today.

Register now